IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
fe80:c25a:dd:ec00::/56- First address
fe80:c25a:dd:ec00::- Last address
fe80:c25a:dd:ecff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
fe80:c25a:00dd:ec00:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
c.e.d.d.0.0.a.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25a:dd:ec00::/56 makes 4,096 subnets of /68; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a:dd:ec00::/68 | fe80:c25a:dd:ec00:fff:ffff:ffff:ffff |
| 2 | fe80:c25a:dd:ec00:1000::/68 | fe80:c25a:dd:ec00:1fff:ffff:ffff:ffff |
| 3 | fe80:c25a:dd:ec00:2000::/68 | fe80:c25a:dd:ec00:2fff:ffff:ffff:ffff |
| 4 | fe80:c25a:dd:ec00:3000::/68 | fe80:c25a:dd:ec00:3fff:ffff:ffff:ffff |
| 5 | fe80:c25a:dd:ec00:4000::/68 | fe80:c25a:dd:ec00:4fff:ffff:ffff:ffff |
| 6 | fe80:c25a:dd:ec00:5000::/68 | fe80:c25a:dd:ec00:5fff:ffff:ffff:ffff |
| 7 | fe80:c25a:dd:ec00:6000::/68 | fe80:c25a:dd:ec00:6fff:ffff:ffff:ffff |
| 8 | fe80:c25a:dd:ec00:7000::/68 | fe80:c25a:dd:ec00:7fff:ffff:ffff:ffff |
| 9 | fe80:c25a:dd:ec00:8000::/68 | fe80:c25a:dd:ec00:8fff:ffff:ffff:ffff |
| 10 | fe80:c25a:dd:ec00:9000::/68 | fe80:c25a:dd:ec00:9fff:ffff:ffff:ffff |
| 11 | fe80:c25a:dd:ec00:a000::/68 | fe80:c25a:dd:ec00:afff:ffff:ffff:ffff |
| 12 | fe80:c25a:dd:ec00:b000::/68 | fe80:c25a:dd:ec00:bfff:ffff:ffff:ffff |
| 13 | fe80:c25a:dd:ec00:c000::/68 | fe80:c25a:dd:ec00:cfff:ffff:ffff:ffff |
| 14 | fe80:c25a:dd:ec00:d000::/68 | fe80:c25a:dd:ec00:dfff:ffff:ffff:ffff |
| 15 | fe80:c25a:dd:ec00:e000::/68 | fe80:c25a:dd:ec00:efff:ffff:ffff:ffff |
| 16 | fe80:c25a:dd:ec00:f000::/68 | fe80:c25a:dd:ec00:ffff:ffff:ffff:ffff |
| 17 | fe80:c25a:dd:ec01::/68 | fe80:c25a:dd:ec01:fff:ffff:ffff:ffff |
| 18 | fe80:c25a:dd:ec01:1000::/68 | fe80:c25a:dd:ec01:1fff:ffff:ffff:ffff |
| 19 | fe80:c25a:dd:ec01:2000::/68 | fe80:c25a:dd:ec01:2fff:ffff:ffff:ffff |
| 20 | fe80:c25a:dd:ec01:3000::/68 | fe80:c25a:dd:ec01:3fff:ffff:ffff:ffff |
| 21 | fe80:c25a:dd:ec01:4000::/68 | fe80:c25a:dd:ec01:4fff:ffff:ffff:ffff |
| 22 | fe80:c25a:dd:ec01:5000::/68 | fe80:c25a:dd:ec01:5fff:ffff:ffff:ffff |
| 23 | fe80:c25a:dd:ec01:6000::/68 | fe80:c25a:dd:ec01:6fff:ffff:ffff:ffff |
| 24 | fe80:c25a:dd:ec01:7000::/68 | fe80:c25a:dd:ec01:7fff:ffff:ffff:ffff |
| 25 | fe80:c25a:dd:ec01:8000::/68 | fe80:c25a:dd:ec01:8fff:ffff:ffff:ffff |
| 26 | fe80:c25a:dd:ec01:9000::/68 | fe80:c25a:dd:ec01:9fff:ffff:ffff:ffff |
| 27 | fe80:c25a:dd:ec01:a000::/68 | fe80:c25a:dd:ec01:afff:ffff:ffff:ffff |
| 28 | fe80:c25a:dd:ec01:b000::/68 | fe80:c25a:dd:ec01:bfff:ffff:ffff:ffff |
| 29 | fe80:c25a:dd:ec01:c000::/68 | fe80:c25a:dd:ec01:cfff:ffff:ffff:ffff |
| 30 | fe80:c25a:dd:ec01:d000::/68 | fe80:c25a:dd:ec01:dfff:ffff:ffff:ffff |
| 31 | fe80:c25a:dd:ec01:e000::/68 | fe80:c25a:dd:ec01:efff:ffff:ffff:ffff |
| 32 | fe80:c25a:dd:ec01:f000::/68 | fe80:c25a:dd:ec01:ffff:ffff:ffff:ffff |
| 33 | fe80:c25a:dd:ec02::/68 | fe80:c25a:dd:ec02:fff:ffff:ffff:ffff |
| 34 | fe80:c25a:dd:ec02:1000::/68 | fe80:c25a:dd:ec02:1fff:ffff:ffff:ffff |
| 35 | fe80:c25a:dd:ec02:2000::/68 | fe80:c25a:dd:ec02:2fff:ffff:ffff:ffff |
| 36 | fe80:c25a:dd:ec02:3000::/68 | fe80:c25a:dd:ec02:3fff:ffff:ffff:ffff |
| 37 | fe80:c25a:dd:ec02:4000::/68 | fe80:c25a:dd:ec02:4fff:ffff:ffff:ffff |
| 38 | fe80:c25a:dd:ec02:5000::/68 | fe80:c25a:dd:ec02:5fff:ffff:ffff:ffff |
| 39 | fe80:c25a:dd:ec02:6000::/68 | fe80:c25a:dd:ec02:6fff:ffff:ffff:ffff |
| 40 | fe80:c25a:dd:ec02:7000::/68 | fe80:c25a:dd:ec02:7fff:ffff:ffff:ffff |
| 41 | fe80:c25a:dd:ec02:8000::/68 | fe80:c25a:dd:ec02:8fff:ffff:ffff:ffff |
| 42 | fe80:c25a:dd:ec02:9000::/68 | fe80:c25a:dd:ec02:9fff:ffff:ffff:ffff |
| 43 | fe80:c25a:dd:ec02:a000::/68 | fe80:c25a:dd:ec02:afff:ffff:ffff:ffff |
| 44 | fe80:c25a:dd:ec02:b000::/68 | fe80:c25a:dd:ec02:bfff:ffff:ffff:ffff |
| 45 | fe80:c25a:dd:ec02:c000::/68 | fe80:c25a:dd:ec02:cfff:ffff:ffff:ffff |
| 46 | fe80:c25a:dd:ec02:d000::/68 | fe80:c25a:dd:ec02:dfff:ffff:ffff:ffff |
| 47 | fe80:c25a:dd:ec02:e000::/68 | fe80:c25a:dd:ec02:efff:ffff:ffff:ffff |
| 48 | fe80:c25a:dd:ec02:f000::/68 | fe80:c25a:dd:ec02:ffff:ffff:ffff:ffff |
| 49 | fe80:c25a:dd:ec03::/68 | fe80:c25a:dd:ec03:fff:ffff:ffff:ffff |
| 50 | fe80:c25a:dd:ec03:1000::/68 | fe80:c25a:dd:ec03:1fff:ffff:ffff:ffff |
| 51 | fe80:c25a:dd:ec03:2000::/68 | fe80:c25a:dd:ec03:2fff:ffff:ffff:ffff |
| 52 | fe80:c25a:dd:ec03:3000::/68 | fe80:c25a:dd:ec03:3fff:ffff:ffff:ffff |
| 53 | fe80:c25a:dd:ec03:4000::/68 | fe80:c25a:dd:ec03:4fff:ffff:ffff:ffff |
| 54 | fe80:c25a:dd:ec03:5000::/68 | fe80:c25a:dd:ec03:5fff:ffff:ffff:ffff |
| 55 | fe80:c25a:dd:ec03:6000::/68 | fe80:c25a:dd:ec03:6fff:ffff:ffff:ffff |
| 56 | fe80:c25a:dd:ec03:7000::/68 | fe80:c25a:dd:ec03:7fff:ffff:ffff:ffff |
| 57 | fe80:c25a:dd:ec03:8000::/68 | fe80:c25a:dd:ec03:8fff:ffff:ffff:ffff |
| 58 | fe80:c25a:dd:ec03:9000::/68 | fe80:c25a:dd:ec03:9fff:ffff:ffff:ffff |
| 59 | fe80:c25a:dd:ec03:a000::/68 | fe80:c25a:dd:ec03:afff:ffff:ffff:ffff |
| 60 | fe80:c25a:dd:ec03:b000::/68 | fe80:c25a:dd:ec03:bfff:ffff:ffff:ffff |
| 61 | fe80:c25a:dd:ec03:c000::/68 | fe80:c25a:dd:ec03:cfff:ffff:ffff:ffff |
| 62 | fe80:c25a:dd:ec03:d000::/68 | fe80:c25a:dd:ec03:dfff:ffff:ffff:ffff |
| 63 | fe80:c25a:dd:ec03:e000::/68 | fe80:c25a:dd:ec03:efff:ffff:ffff:ffff |
| 64 | fe80:c25a:dd:ec03:f000::/68 | fe80:c25a:dd:ec03:ffff:ffff:ffff:ffff |
| 65 | fe80:c25a:dd:ec04::/68 | fe80:c25a:dd:ec04:fff:ffff:ffff:ffff |
| 66 | fe80:c25a:dd:ec04:1000::/68 | fe80:c25a:dd:ec04:1fff:ffff:ffff:ffff |
| 67 | fe80:c25a:dd:ec04:2000::/68 | fe80:c25a:dd:ec04:2fff:ffff:ffff:ffff |
| 68 | fe80:c25a:dd:ec04:3000::/68 | fe80:c25a:dd:ec04:3fff:ffff:ffff:ffff |
| 69 | fe80:c25a:dd:ec04:4000::/68 | fe80:c25a:dd:ec04:4fff:ffff:ffff:ffff |
| 70 | fe80:c25a:dd:ec04:5000::/68 | fe80:c25a:dd:ec04:5fff:ffff:ffff:ffff |
| 71 | fe80:c25a:dd:ec04:6000::/68 | fe80:c25a:dd:ec04:6fff:ffff:ffff:ffff |
| 72 | fe80:c25a:dd:ec04:7000::/68 | fe80:c25a:dd:ec04:7fff:ffff:ffff:ffff |
| 73 | fe80:c25a:dd:ec04:8000::/68 | fe80:c25a:dd:ec04:8fff:ffff:ffff:ffff |
| 74 | fe80:c25a:dd:ec04:9000::/68 | fe80:c25a:dd:ec04:9fff:ffff:ffff:ffff |
| 75 | fe80:c25a:dd:ec04:a000::/68 | fe80:c25a:dd:ec04:afff:ffff:ffff:ffff |
| 76 | fe80:c25a:dd:ec04:b000::/68 | fe80:c25a:dd:ec04:bfff:ffff:ffff:ffff |
| 77 | fe80:c25a:dd:ec04:c000::/68 | fe80:c25a:dd:ec04:cfff:ffff:ffff:ffff |
| 78 | fe80:c25a:dd:ec04:d000::/68 | fe80:c25a:dd:ec04:dfff:ffff:ffff:ffff |
| 79 | fe80:c25a:dd:ec04:e000::/68 | fe80:c25a:dd:ec04:efff:ffff:ffff:ffff |
| 80 | fe80:c25a:dd:ec04:f000::/68 | fe80:c25a:dd:ec04:ffff:ffff:ffff:ffff |
| 81 | fe80:c25a:dd:ec05::/68 | fe80:c25a:dd:ec05:fff:ffff:ffff:ffff |
| 82 | fe80:c25a:dd:ec05:1000::/68 | fe80:c25a:dd:ec05:1fff:ffff:ffff:ffff |
| 83 | fe80:c25a:dd:ec05:2000::/68 | fe80:c25a:dd:ec05:2fff:ffff:ffff:ffff |
| 84 | fe80:c25a:dd:ec05:3000::/68 | fe80:c25a:dd:ec05:3fff:ffff:ffff:ffff |
| 85 | fe80:c25a:dd:ec05:4000::/68 | fe80:c25a:dd:ec05:4fff:ffff:ffff:ffff |
| 86 | fe80:c25a:dd:ec05:5000::/68 | fe80:c25a:dd:ec05:5fff:ffff:ffff:ffff |
| 87 | fe80:c25a:dd:ec05:6000::/68 | fe80:c25a:dd:ec05:6fff:ffff:ffff:ffff |
| 88 | fe80:c25a:dd:ec05:7000::/68 | fe80:c25a:dd:ec05:7fff:ffff:ffff:ffff |
| 89 | fe80:c25a:dd:ec05:8000::/68 | fe80:c25a:dd:ec05:8fff:ffff:ffff:ffff |
| 90 | fe80:c25a:dd:ec05:9000::/68 | fe80:c25a:dd:ec05:9fff:ffff:ffff:ffff |
| 91 | fe80:c25a:dd:ec05:a000::/68 | fe80:c25a:dd:ec05:afff:ffff:ffff:ffff |
| 92 | fe80:c25a:dd:ec05:b000::/68 | fe80:c25a:dd:ec05:bfff:ffff:ffff:ffff |
| 93 | fe80:c25a:dd:ec05:c000::/68 | fe80:c25a:dd:ec05:cfff:ffff:ffff:ffff |
| 94 | fe80:c25a:dd:ec05:d000::/68 | fe80:c25a:dd:ec05:dfff:ffff:ffff:ffff |
| 95 | fe80:c25a:dd:ec05:e000::/68 | fe80:c25a:dd:ec05:efff:ffff:ffff:ffff |
| 96 | fe80:c25a:dd:ec05:f000::/68 | fe80:c25a:dd:ec05:ffff:ffff:ffff:ffff |
| 97 | fe80:c25a:dd:ec06::/68 | fe80:c25a:dd:ec06:fff:ffff:ffff:ffff |
| 98 | fe80:c25a:dd:ec06:1000::/68 | fe80:c25a:dd:ec06:1fff:ffff:ffff:ffff |
| 99 | fe80:c25a:dd:ec06:2000::/68 | fe80:c25a:dd:ec06:2fff:ffff:ffff:ffff |
| 100 | fe80:c25a:dd:ec06:3000::/68 | fe80:c25a:dd:ec06:3fff:ffff:ffff:ffff |
| 101 | fe80:c25a:dd:ec06:4000::/68 | fe80:c25a:dd:ec06:4fff:ffff:ffff:ffff |
| 102 | fe80:c25a:dd:ec06:5000::/68 | fe80:c25a:dd:ec06:5fff:ffff:ffff:ffff |
| 103 | fe80:c25a:dd:ec06:6000::/68 | fe80:c25a:dd:ec06:6fff:ffff:ffff:ffff |
| 104 | fe80:c25a:dd:ec06:7000::/68 | fe80:c25a:dd:ec06:7fff:ffff:ffff:ffff |
| 105 | fe80:c25a:dd:ec06:8000::/68 | fe80:c25a:dd:ec06:8fff:ffff:ffff:ffff |
| 106 | fe80:c25a:dd:ec06:9000::/68 | fe80:c25a:dd:ec06:9fff:ffff:ffff:ffff |
| 107 | fe80:c25a:dd:ec06:a000::/68 | fe80:c25a:dd:ec06:afff:ffff:ffff:ffff |
| 108 | fe80:c25a:dd:ec06:b000::/68 | fe80:c25a:dd:ec06:bfff:ffff:ffff:ffff |
| 109 | fe80:c25a:dd:ec06:c000::/68 | fe80:c25a:dd:ec06:cfff:ffff:ffff:ffff |
| 110 | fe80:c25a:dd:ec06:d000::/68 | fe80:c25a:dd:ec06:dfff:ffff:ffff:ffff |
| 111 | fe80:c25a:dd:ec06:e000::/68 | fe80:c25a:dd:ec06:efff:ffff:ffff:ffff |
| 112 | fe80:c25a:dd:ec06:f000::/68 | fe80:c25a:dd:ec06:ffff:ffff:ffff:ffff |
| 113 | fe80:c25a:dd:ec07::/68 | fe80:c25a:dd:ec07:fff:ffff:ffff:ffff |
| 114 | fe80:c25a:dd:ec07:1000::/68 | fe80:c25a:dd:ec07:1fff:ffff:ffff:ffff |
| 115 | fe80:c25a:dd:ec07:2000::/68 | fe80:c25a:dd:ec07:2fff:ffff:ffff:ffff |
| 116 | fe80:c25a:dd:ec07:3000::/68 | fe80:c25a:dd:ec07:3fff:ffff:ffff:ffff |
| 117 | fe80:c25a:dd:ec07:4000::/68 | fe80:c25a:dd:ec07:4fff:ffff:ffff:ffff |
| 118 | fe80:c25a:dd:ec07:5000::/68 | fe80:c25a:dd:ec07:5fff:ffff:ffff:ffff |
| 119 | fe80:c25a:dd:ec07:6000::/68 | fe80:c25a:dd:ec07:6fff:ffff:ffff:ffff |
| 120 | fe80:c25a:dd:ec07:7000::/68 | fe80:c25a:dd:ec07:7fff:ffff:ffff:ffff |
| 121 | fe80:c25a:dd:ec07:8000::/68 | fe80:c25a:dd:ec07:8fff:ffff:ffff:ffff |
| 122 | fe80:c25a:dd:ec07:9000::/68 | fe80:c25a:dd:ec07:9fff:ffff:ffff:ffff |
| 123 | fe80:c25a:dd:ec07:a000::/68 | fe80:c25a:dd:ec07:afff:ffff:ffff:ffff |
| 124 | fe80:c25a:dd:ec07:b000::/68 | fe80:c25a:dd:ec07:bfff:ffff:ffff:ffff |
| 125 | fe80:c25a:dd:ec07:c000::/68 | fe80:c25a:dd:ec07:cfff:ffff:ffff:ffff |
| 126 | fe80:c25a:dd:ec07:d000::/68 | fe80:c25a:dd:ec07:dfff:ffff:ffff:ffff |
| 127 | fe80:c25a:dd:ec07:e000::/68 | fe80:c25a:dd:ec07:efff:ffff:ffff:ffff |
| 128 | fe80:c25a:dd:ec07:f000::/68 | fe80:c25a:dd:ec07:ffff:ffff:ffff:ffff |
| 129 | fe80:c25a:dd:ec08::/68 | fe80:c25a:dd:ec08:fff:ffff:ffff:ffff |
| 130 | fe80:c25a:dd:ec08:1000::/68 | fe80:c25a:dd:ec08:1fff:ffff:ffff:ffff |
| 131 | fe80:c25a:dd:ec08:2000::/68 | fe80:c25a:dd:ec08:2fff:ffff:ffff:ffff |
| 132 | fe80:c25a:dd:ec08:3000::/68 | fe80:c25a:dd:ec08:3fff:ffff:ffff:ffff |
| 133 | fe80:c25a:dd:ec08:4000::/68 | fe80:c25a:dd:ec08:4fff:ffff:ffff:ffff |
| 134 | fe80:c25a:dd:ec08:5000::/68 | fe80:c25a:dd:ec08:5fff:ffff:ffff:ffff |
| 135 | fe80:c25a:dd:ec08:6000::/68 | fe80:c25a:dd:ec08:6fff:ffff:ffff:ffff |
| 136 | fe80:c25a:dd:ec08:7000::/68 | fe80:c25a:dd:ec08:7fff:ffff:ffff:ffff |
| 137 | fe80:c25a:dd:ec08:8000::/68 | fe80:c25a:dd:ec08:8fff:ffff:ffff:ffff |
| 138 | fe80:c25a:dd:ec08:9000::/68 | fe80:c25a:dd:ec08:9fff:ffff:ffff:ffff |
| 139 | fe80:c25a:dd:ec08:a000::/68 | fe80:c25a:dd:ec08:afff:ffff:ffff:ffff |
| 140 | fe80:c25a:dd:ec08:b000::/68 | fe80:c25a:dd:ec08:bfff:ffff:ffff:ffff |
| 141 | fe80:c25a:dd:ec08:c000::/68 | fe80:c25a:dd:ec08:cfff:ffff:ffff:ffff |
| 142 | fe80:c25a:dd:ec08:d000::/68 | fe80:c25a:dd:ec08:dfff:ffff:ffff:ffff |
| 143 | fe80:c25a:dd:ec08:e000::/68 | fe80:c25a:dd:ec08:efff:ffff:ffff:ffff |
| 144 | fe80:c25a:dd:ec08:f000::/68 | fe80:c25a:dd:ec08:ffff:ffff:ffff:ffff |
| 145 | fe80:c25a:dd:ec09::/68 | fe80:c25a:dd:ec09:fff:ffff:ffff:ffff |
| 146 | fe80:c25a:dd:ec09:1000::/68 | fe80:c25a:dd:ec09:1fff:ffff:ffff:ffff |
| 147 | fe80:c25a:dd:ec09:2000::/68 | fe80:c25a:dd:ec09:2fff:ffff:ffff:ffff |
| 148 | fe80:c25a:dd:ec09:3000::/68 | fe80:c25a:dd:ec09:3fff:ffff:ffff:ffff |
| 149 | fe80:c25a:dd:ec09:4000::/68 | fe80:c25a:dd:ec09:4fff:ffff:ffff:ffff |
| 150 | fe80:c25a:dd:ec09:5000::/68 | fe80:c25a:dd:ec09:5fff:ffff:ffff:ffff |
| 151 | fe80:c25a:dd:ec09:6000::/68 | fe80:c25a:dd:ec09:6fff:ffff:ffff:ffff |
| 152 | fe80:c25a:dd:ec09:7000::/68 | fe80:c25a:dd:ec09:7fff:ffff:ffff:ffff |
| 153 | fe80:c25a:dd:ec09:8000::/68 | fe80:c25a:dd:ec09:8fff:ffff:ffff:ffff |
| 154 | fe80:c25a:dd:ec09:9000::/68 | fe80:c25a:dd:ec09:9fff:ffff:ffff:ffff |
| 155 | fe80:c25a:dd:ec09:a000::/68 | fe80:c25a:dd:ec09:afff:ffff:ffff:ffff |
| 156 | fe80:c25a:dd:ec09:b000::/68 | fe80:c25a:dd:ec09:bfff:ffff:ffff:ffff |
| 157 | fe80:c25a:dd:ec09:c000::/68 | fe80:c25a:dd:ec09:cfff:ffff:ffff:ffff |
| 158 | fe80:c25a:dd:ec09:d000::/68 | fe80:c25a:dd:ec09:dfff:ffff:ffff:ffff |
| 159 | fe80:c25a:dd:ec09:e000::/68 | fe80:c25a:dd:ec09:efff:ffff:ffff:ffff |
| 160 | fe80:c25a:dd:ec09:f000::/68 | fe80:c25a:dd:ec09:ffff:ffff:ffff:ffff |
| 161 | fe80:c25a:dd:ec0a::/68 | fe80:c25a:dd:ec0a:fff:ffff:ffff:ffff |
| 162 | fe80:c25a:dd:ec0a:1000::/68 | fe80:c25a:dd:ec0a:1fff:ffff:ffff:ffff |
| 163 | fe80:c25a:dd:ec0a:2000::/68 | fe80:c25a:dd:ec0a:2fff:ffff:ffff:ffff |
| 164 | fe80:c25a:dd:ec0a:3000::/68 | fe80:c25a:dd:ec0a:3fff:ffff:ffff:ffff |
| 165 | fe80:c25a:dd:ec0a:4000::/68 | fe80:c25a:dd:ec0a:4fff:ffff:ffff:ffff |
| 166 | fe80:c25a:dd:ec0a:5000::/68 | fe80:c25a:dd:ec0a:5fff:ffff:ffff:ffff |
| 167 | fe80:c25a:dd:ec0a:6000::/68 | fe80:c25a:dd:ec0a:6fff:ffff:ffff:ffff |
| 168 | fe80:c25a:dd:ec0a:7000::/68 | fe80:c25a:dd:ec0a:7fff:ffff:ffff:ffff |
| 169 | fe80:c25a:dd:ec0a:8000::/68 | fe80:c25a:dd:ec0a:8fff:ffff:ffff:ffff |
| 170 | fe80:c25a:dd:ec0a:9000::/68 | fe80:c25a:dd:ec0a:9fff:ffff:ffff:ffff |
| 171 | fe80:c25a:dd:ec0a:a000::/68 | fe80:c25a:dd:ec0a:afff:ffff:ffff:ffff |
| 172 | fe80:c25a:dd:ec0a:b000::/68 | fe80:c25a:dd:ec0a:bfff:ffff:ffff:ffff |
| 173 | fe80:c25a:dd:ec0a:c000::/68 | fe80:c25a:dd:ec0a:cfff:ffff:ffff:ffff |
| 174 | fe80:c25a:dd:ec0a:d000::/68 | fe80:c25a:dd:ec0a:dfff:ffff:ffff:ffff |
| 175 | fe80:c25a:dd:ec0a:e000::/68 | fe80:c25a:dd:ec0a:efff:ffff:ffff:ffff |
| 176 | fe80:c25a:dd:ec0a:f000::/68 | fe80:c25a:dd:ec0a:ffff:ffff:ffff:ffff |
| 177 | fe80:c25a:dd:ec0b::/68 | fe80:c25a:dd:ec0b:fff:ffff:ffff:ffff |
| 178 | fe80:c25a:dd:ec0b:1000::/68 | fe80:c25a:dd:ec0b:1fff:ffff:ffff:ffff |
| 179 | fe80:c25a:dd:ec0b:2000::/68 | fe80:c25a:dd:ec0b:2fff:ffff:ffff:ffff |
| 180 | fe80:c25a:dd:ec0b:3000::/68 | fe80:c25a:dd:ec0b:3fff:ffff:ffff:ffff |
| 181 | fe80:c25a:dd:ec0b:4000::/68 | fe80:c25a:dd:ec0b:4fff:ffff:ffff:ffff |
| 182 | fe80:c25a:dd:ec0b:5000::/68 | fe80:c25a:dd:ec0b:5fff:ffff:ffff:ffff |
| 183 | fe80:c25a:dd:ec0b:6000::/68 | fe80:c25a:dd:ec0b:6fff:ffff:ffff:ffff |
| 184 | fe80:c25a:dd:ec0b:7000::/68 | fe80:c25a:dd:ec0b:7fff:ffff:ffff:ffff |
| 185 | fe80:c25a:dd:ec0b:8000::/68 | fe80:c25a:dd:ec0b:8fff:ffff:ffff:ffff |
| 186 | fe80:c25a:dd:ec0b:9000::/68 | fe80:c25a:dd:ec0b:9fff:ffff:ffff:ffff |
| 187 | fe80:c25a:dd:ec0b:a000::/68 | fe80:c25a:dd:ec0b:afff:ffff:ffff:ffff |
| 188 | fe80:c25a:dd:ec0b:b000::/68 | fe80:c25a:dd:ec0b:bfff:ffff:ffff:ffff |
| 189 | fe80:c25a:dd:ec0b:c000::/68 | fe80:c25a:dd:ec0b:cfff:ffff:ffff:ffff |
| 190 | fe80:c25a:dd:ec0b:d000::/68 | fe80:c25a:dd:ec0b:dfff:ffff:ffff:ffff |
| 191 | fe80:c25a:dd:ec0b:e000::/68 | fe80:c25a:dd:ec0b:efff:ffff:ffff:ffff |
| 192 | fe80:c25a:dd:ec0b:f000::/68 | fe80:c25a:dd:ec0b:ffff:ffff:ffff:ffff |
| 193 | fe80:c25a:dd:ec0c::/68 | fe80:c25a:dd:ec0c:fff:ffff:ffff:ffff |
| 194 | fe80:c25a:dd:ec0c:1000::/68 | fe80:c25a:dd:ec0c:1fff:ffff:ffff:ffff |
| 195 | fe80:c25a:dd:ec0c:2000::/68 | fe80:c25a:dd:ec0c:2fff:ffff:ffff:ffff |
| 196 | fe80:c25a:dd:ec0c:3000::/68 | fe80:c25a:dd:ec0c:3fff:ffff:ffff:ffff |
| 197 | fe80:c25a:dd:ec0c:4000::/68 | fe80:c25a:dd:ec0c:4fff:ffff:ffff:ffff |
| 198 | fe80:c25a:dd:ec0c:5000::/68 | fe80:c25a:dd:ec0c:5fff:ffff:ffff:ffff |
| 199 | fe80:c25a:dd:ec0c:6000::/68 | fe80:c25a:dd:ec0c:6fff:ffff:ffff:ffff |
| 200 | fe80:c25a:dd:ec0c:7000::/68 | fe80:c25a:dd:ec0c:7fff:ffff:ffff:ffff |
| 201 | fe80:c25a:dd:ec0c:8000::/68 | fe80:c25a:dd:ec0c:8fff:ffff:ffff:ffff |
| 202 | fe80:c25a:dd:ec0c:9000::/68 | fe80:c25a:dd:ec0c:9fff:ffff:ffff:ffff |
| 203 | fe80:c25a:dd:ec0c:a000::/68 | fe80:c25a:dd:ec0c:afff:ffff:ffff:ffff |
| 204 | fe80:c25a:dd:ec0c:b000::/68 | fe80:c25a:dd:ec0c:bfff:ffff:ffff:ffff |
| 205 | fe80:c25a:dd:ec0c:c000::/68 | fe80:c25a:dd:ec0c:cfff:ffff:ffff:ffff |
| 206 | fe80:c25a:dd:ec0c:d000::/68 | fe80:c25a:dd:ec0c:dfff:ffff:ffff:ffff |
| 207 | fe80:c25a:dd:ec0c:e000::/68 | fe80:c25a:dd:ec0c:efff:ffff:ffff:ffff |
| 208 | fe80:c25a:dd:ec0c:f000::/68 | fe80:c25a:dd:ec0c:ffff:ffff:ffff:ffff |
| 209 | fe80:c25a:dd:ec0d::/68 | fe80:c25a:dd:ec0d:fff:ffff:ffff:ffff |
| 210 | fe80:c25a:dd:ec0d:1000::/68 | fe80:c25a:dd:ec0d:1fff:ffff:ffff:ffff |
| 211 | fe80:c25a:dd:ec0d:2000::/68 | fe80:c25a:dd:ec0d:2fff:ffff:ffff:ffff |
| 212 | fe80:c25a:dd:ec0d:3000::/68 | fe80:c25a:dd:ec0d:3fff:ffff:ffff:ffff |
| 213 | fe80:c25a:dd:ec0d:4000::/68 | fe80:c25a:dd:ec0d:4fff:ffff:ffff:ffff |
| 214 | fe80:c25a:dd:ec0d:5000::/68 | fe80:c25a:dd:ec0d:5fff:ffff:ffff:ffff |
| 215 | fe80:c25a:dd:ec0d:6000::/68 | fe80:c25a:dd:ec0d:6fff:ffff:ffff:ffff |
| 216 | fe80:c25a:dd:ec0d:7000::/68 | fe80:c25a:dd:ec0d:7fff:ffff:ffff:ffff |
| 217 | fe80:c25a:dd:ec0d:8000::/68 | fe80:c25a:dd:ec0d:8fff:ffff:ffff:ffff |
| 218 | fe80:c25a:dd:ec0d:9000::/68 | fe80:c25a:dd:ec0d:9fff:ffff:ffff:ffff |
| 219 | fe80:c25a:dd:ec0d:a000::/68 | fe80:c25a:dd:ec0d:afff:ffff:ffff:ffff |
| 220 | fe80:c25a:dd:ec0d:b000::/68 | fe80:c25a:dd:ec0d:bfff:ffff:ffff:ffff |
| 221 | fe80:c25a:dd:ec0d:c000::/68 | fe80:c25a:dd:ec0d:cfff:ffff:ffff:ffff |
| 222 | fe80:c25a:dd:ec0d:d000::/68 | fe80:c25a:dd:ec0d:dfff:ffff:ffff:ffff |
| 223 | fe80:c25a:dd:ec0d:e000::/68 | fe80:c25a:dd:ec0d:efff:ffff:ffff:ffff |
| 224 | fe80:c25a:dd:ec0d:f000::/68 | fe80:c25a:dd:ec0d:ffff:ffff:ffff:ffff |
| 225 | fe80:c25a:dd:ec0e::/68 | fe80:c25a:dd:ec0e:fff:ffff:ffff:ffff |
| 226 | fe80:c25a:dd:ec0e:1000::/68 | fe80:c25a:dd:ec0e:1fff:ffff:ffff:ffff |
| 227 | fe80:c25a:dd:ec0e:2000::/68 | fe80:c25a:dd:ec0e:2fff:ffff:ffff:ffff |
| 228 | fe80:c25a:dd:ec0e:3000::/68 | fe80:c25a:dd:ec0e:3fff:ffff:ffff:ffff |
| 229 | fe80:c25a:dd:ec0e:4000::/68 | fe80:c25a:dd:ec0e:4fff:ffff:ffff:ffff |
| 230 | fe80:c25a:dd:ec0e:5000::/68 | fe80:c25a:dd:ec0e:5fff:ffff:ffff:ffff |
| 231 | fe80:c25a:dd:ec0e:6000::/68 | fe80:c25a:dd:ec0e:6fff:ffff:ffff:ffff |
| 232 | fe80:c25a:dd:ec0e:7000::/68 | fe80:c25a:dd:ec0e:7fff:ffff:ffff:ffff |
| 233 | fe80:c25a:dd:ec0e:8000::/68 | fe80:c25a:dd:ec0e:8fff:ffff:ffff:ffff |
| 234 | fe80:c25a:dd:ec0e:9000::/68 | fe80:c25a:dd:ec0e:9fff:ffff:ffff:ffff |
| 235 | fe80:c25a:dd:ec0e:a000::/68 | fe80:c25a:dd:ec0e:afff:ffff:ffff:ffff |
| 236 | fe80:c25a:dd:ec0e:b000::/68 | fe80:c25a:dd:ec0e:bfff:ffff:ffff:ffff |
| 237 | fe80:c25a:dd:ec0e:c000::/68 | fe80:c25a:dd:ec0e:cfff:ffff:ffff:ffff |
| 238 | fe80:c25a:dd:ec0e:d000::/68 | fe80:c25a:dd:ec0e:dfff:ffff:ffff:ffff |
| 239 | fe80:c25a:dd:ec0e:e000::/68 | fe80:c25a:dd:ec0e:efff:ffff:ffff:ffff |
| 240 | fe80:c25a:dd:ec0e:f000::/68 | fe80:c25a:dd:ec0e:ffff:ffff:ffff:ffff |
| 241 | fe80:c25a:dd:ec0f::/68 | fe80:c25a:dd:ec0f:fff:ffff:ffff:ffff |
| 242 | fe80:c25a:dd:ec0f:1000::/68 | fe80:c25a:dd:ec0f:1fff:ffff:ffff:ffff |
| 243 | fe80:c25a:dd:ec0f:2000::/68 | fe80:c25a:dd:ec0f:2fff:ffff:ffff:ffff |
| 244 | fe80:c25a:dd:ec0f:3000::/68 | fe80:c25a:dd:ec0f:3fff:ffff:ffff:ffff |
| 245 | fe80:c25a:dd:ec0f:4000::/68 | fe80:c25a:dd:ec0f:4fff:ffff:ffff:ffff |
| 246 | fe80:c25a:dd:ec0f:5000::/68 | fe80:c25a:dd:ec0f:5fff:ffff:ffff:ffff |
| 247 | fe80:c25a:dd:ec0f:6000::/68 | fe80:c25a:dd:ec0f:6fff:ffff:ffff:ffff |
| 248 | fe80:c25a:dd:ec0f:7000::/68 | fe80:c25a:dd:ec0f:7fff:ffff:ffff:ffff |
| 249 | fe80:c25a:dd:ec0f:8000::/68 | fe80:c25a:dd:ec0f:8fff:ffff:ffff:ffff |
| 250 | fe80:c25a:dd:ec0f:9000::/68 | fe80:c25a:dd:ec0f:9fff:ffff:ffff:ffff |
| 251 | fe80:c25a:dd:ec0f:a000::/68 | fe80:c25a:dd:ec0f:afff:ffff:ffff:ffff |
| 252 | fe80:c25a:dd:ec0f:b000::/68 | fe80:c25a:dd:ec0f:bfff:ffff:ffff:ffff |
| 253 | fe80:c25a:dd:ec0f:c000::/68 | fe80:c25a:dd:ec0f:cfff:ffff:ffff:ffff |
| 254 | fe80:c25a:dd:ec0f:d000::/68 | fe80:c25a:dd:ec0f:dfff:ffff:ffff:ffff |
| 255 | fe80:c25a:dd:ec0f:e000::/68 | fe80:c25a:dd:ec0f:efff:ffff:ffff:ffff |
| 256 | fe80:c25a:dd:ec0f:f000::/68 | fe80:c25a:dd:ec0f:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |